android monkey.sh: output the logcat for debug

if the monkey failed to run all the events specified.

Change-Id: I0d1c3893fd3bef6734554b8dac02b24b89566636
Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
diff --git a/automated/android/monkey/monkey.sh b/automated/android/monkey/monkey.sh
index b865f8f..c7707d2 100755
--- a/automated/android/monkey/monkey.sh
+++ b/automated/android/monkey/monkey.sh
@@ -86,3 +86,8 @@
 else
     report_fail "monkey-network-stats"
 fi
+
+if ! grep "Events injected: ${EVENT_COUNT}" "${LOGFILE}"; then
+    ## output the logcat information for debug when failed to run inject all the events
+    adb logcat -d -b all
+fi